Docs Native format /minimax/v1/query/t2a_async_query_v2
API reference

Query asynchronous speech synthesis tasks

Query the T2A task status based on task_id; after success, retrieve the audio file through file_id. https://platform.minimaxi.com/docs/api-reference/speech-t2a-async-query

GET/minimax/v1/query/t2a_async_query_v2

Responses

200 application/json
response-200 object
properties
base_resp* object

Underlying service response wrapper (status code / message)

file_id* integer

File ID

status* string

Status

task_id* integer

Asynchronous task ID

401 Missing or invalid API Key application/json
response-401 object
properties
error* object
Code Sample cURL
1curl -X GET "https://api.digislash.com/minimax/v1/query/t2a_async_query_v2" \
2-H "Authorization: Bearer <API Key>"
Response
1▼{
2▼"base_resp": {
3"status_code": 0,
4"status_msg": "success"
5},
6"file_id": 95157322514496,
7"status": "Processing",
8"task_id": 95157322514444
9}